会飞的鱼

2019
技术学习交流--用心学习--用心记录!
首页 » ▇ Win平台 » ISAPI和CGI限制中没有ASP.NET v4.0

ISAPI和CGI限制中没有ASP.NET v4.0

部署了一台Windows Server 2008 R2 SP1系统全部打完补丁包括安装了.net4.5

blob.png

但是在IIS中没有发现有4.0版本的 只有2.0版本

blob.png

解决方法如下:
1.确保安装IIS时确实安装了ASP.NET,如果没有的话,勾上重新装一下,一般出现404.2时这么干
2.如果你是先装了IIS然后才装了.NET,那就需要把.NET再注册一下,一般出现404.17时这么干
命令是:C:\WINDOWS\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -i

blob.png

重启IIS就可以看到了

blob.png


文章如无特别注明均为原创! 作者: 祝忠键, 转载或复制请以 超链接形式 并注明出处 枫叶落
原文地址《 ISAPI和CGI限制中没有ASP.NET v4.0》发布于2015-11-12

分享到:
打赏

评论

游客

看不清楚?点图切换
切换注册

登录

您也可以使用第三方帐号快捷登录

切换登录

注册